aboutsummaryrefslogtreecommitdiff
path: root/dev-python/zope-cachedescriptors
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/zope-cachedescriptors')
-rw-r--r--dev-python/zope-cachedescriptors/Manifest1
-rw-r--r--dev-python/zope-cachedescriptors/metadata.xml41
-rw-r--r--dev-python/zope-cachedescriptors/zope-cachedescriptors-4.4.ebuild29
3 files changed, 71 insertions, 0 deletions
diff --git a/dev-python/zope-cachedescriptors/Manifest b/dev-python/zope-cachedescriptors/Manifest
new file mode 100644
index 0000000..675c0a5
--- /dev/null
+++ b/dev-python/zope-cachedescriptors/Manifest
@@ -0,0 +1 @@
+DIST zope-cachedescriptors-4.4.gh.tar.gz 10194 BLAKE2B e5d505beef056610c4980d66bd8e183bd883e730aaf4cbfec0b1648be34ef7cd5547c20de465f173f9b54072014f4aa337337178d11a8c2ab1d8ad997f64d68d SHA512 22ba430ac899131512c4a69933155d06ade8a607a874c9cf733171148f7f9e50d4fde9976ab28aec19f19871a654cb78ba09d8fea0799cf0bb73bbbbe5680554
diff --git a/dev-python/zope-cachedescriptors/metadata.xml b/dev-python/zope-cachedescriptors/metadata.xml
new file mode 100644
index 0000000..6f1a2df
--- /dev/null
+++ b/dev-python/zope-cachedescriptors/metadata.xml
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ Cached descriptors cache their output. They take into account instance attributes that they depend on, so when the instance attributes change, the descriptors will change the values they return.
+
+ Cached descriptors cache their data in _v_ attributes, so they are also useful for managing the computation of volatile attributes for persistent objects.
+
+ Persistent descriptors:
+
+ property
+
+ A simple computed property.
+
+ See src/zope/cachedescriptors/property.rst.
+
+ method
+
+ Idempotent method. The return values are cached based on method arguments and on any instance attributes that the methods are defined to depend on.
+
+ Note
+
+ Only a cache based on arguments has been implemented so far.
+
+ See src/zope/cachedescriptors/method.rst.
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <changelog>https://github.com/zopefoundation/zope.cachedescriptors/blob/master/CHANGES.rst</changelog>
+ <bugs-to>https://github.com/zopefoundation/zope.cachedescriptors/issues</bugs-to>
+ <remote-id type="github">zopefoundation/zope.cachedescriptors</remote-id>
+ <remote-id type="pypi">zope.cachedescriptors</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-cachedescriptors/zope-cachedescriptors-4.4.ebuild b/dev-python/zope-cachedescriptors/zope-cachedescriptors-4.4.ebuild
new file mode 100644
index 0000000..b48c8cb
--- /dev/null
+++ b/dev-python/zope-cachedescriptors/zope-cachedescriptors-4.4.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python descriptors which cache their output"
+HOMEPAGE="https://github.com/zopefoundation/zope.cachedescriptors"
+SRC_URI="https://github.com/zopefoundation/zope.cachedescriptors/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}